Summary
Update Trigger
Description
Update a Trigger.
Route
PATCH /operations-manager/triggers/:id
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to update. |
| updates |
object |
yes |
The details of the Trigger document to update. |
Copied to Clipboard
{
"title": "updates",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-update",
"oneOf": [
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "343abd8e6d8b2e197250b7f6",
"lastExecuted": 67660295,
"migrationVersion": -20330432,
"type": "endpoint",
"verb": "POST",
"routeName": "prJyFCeye4z",
"schema": null,
"jst": "90e4127de03a01000ee35a23"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "077574fa00e58ab914261e62",
"lastExecuted": 63076825,
"migrationVersion": -22742657,
"type": "eventSystem",
"source": "nisi sed fugiat",
"topic": "pariatur in elit",
"schema": null,
"legacyWrapper": false,
"jst": null
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "2169f534e1595e772d546680",
"lastExecuted": null,
"migrationVersion": -22440820,
"type": "manual",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"formSchemaHash": "voluptate qui nostrud",
"legacyWrapper": false,
"formId": "e571a53fb6464a8b6b1bcf7a"
},
{
"repeatUnit": "second",
"repeatFrequency": 2732640,
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "b3cca463d66cc5b2f500f971",
"lastExecuted": 77621289,
"migrationVersion": 20956327,
"repeatInterval": 30000,
"formId": null
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully created the requested item",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "404f2d211b39e8132853b13e",
"lastExecuted": null,
"migrationVersion": -25588600,
"createdBy": "dd4507dc843e0073fcd90a31",
"created": "2014-09-29T16:09:31.339Z",
"lastUpdatedBy": "90b7160180ba09ea4f8bd206",
"lastUpdated": "1962-06-26T18:00:21.464Z",
"_id": "edcb41a4144b273378551200"
}
}